#!/bin/sh
#
# Copyright (C) 2009 Gauvain Pocentek <gpocentek@linutop.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

PROGRAM=$(basename $0)
SYSLINUX=/cdrom/syslinux.cfg
SYSLINUXORIG=$SYSLINUX.orig

move_syslinux () {
    if [ ! -f $SYSLINUX ]; then
        exit 1
    fi

    mv $SYSLINUX $SYSLINUXORIG
    cat > $SYSLINUX << EOF
DEFAULT linutop
PROMPT 0
LABEL linutop
MENU label Start Linutop
KERNEL vmup
append  initrd=update.gz quiet
TIMEOUT 1
EOF
}

if [ $USER != "root" ]; then
    echo "You need to run this script as root."
    exit 1
fi

if [ ! -f $SYSLINUX ] && [ ! -f $SYSLINUXORIG ]; then
    exit 1
fi

if [ "$1" = "on" ]; then
    if [ -f $SYSLINUXORIG ]; then
        exit 1
    else
        move_syslinux
        exit 0
    fi
elif [ "$1" = "off" ]; then
    if [ -f $SYSLINUXORIG ]; then
        mv $SYSLINUXORIG $SYSLINUX
        exit 0
    else
        exit 1
    fi
elif [ "$1" = "get" ]; then
    if [ -f $SYSLINUXORIG ]; then
        exit 1
    else
        exit 0
    fi
fi

